Retrieve task logs

GET https://{controlplane_path}/api/1/rest/public/log/{env_org}  

This API retrieves the Task log information for the specified Environment/Org.

Prerequisites

  • Read access to the requested assets

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
env_org Required. The name of the SnapLogic environment/Org. For example, My-Dev-Env

Query parameters

Key Type Description
ruuid string Required. Returns log information about the task with the specified runtime ID.
log_level string Returns log information at the specified level of detail.
Valid values:
  • error – Returns only error logs.
  • warn – Returns both warning logs and error logs.
  • info – Returns all logged information, including warning logs and error logs.

Default: info

limit integer Returns no more than the specified number of results. You can use limit and offset for pagination.

Valid values: 1 through 100,000

Default: 100

Request header

In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type. For more details on accounts refer to Manage accounts.


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of Basic authentication using Postman

When using JWT authentication, the API requests includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT token.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authenthication using Postman

Request body

None.

Response

 {
  "response_map": {
    "extra": { ... },
    "total": ...,
    "entries": [
      {
        "_source": {
          "msg": "...",
          "lvl": "...",
          "ts": "...",
          "prc": "...",
          "fi": "..."
        }
      },
      ...
      {
        "_source": {
          "xid": "...",
          "snrd": "...",
          "prc": "...",
          "linid": "...",
          "ts": "...",
          "plrd": "...",
          "fi": "...",
          "msg": "...",
          "lvl": "...",
          "snlb": "...",
          "exc": "..."
        }
      }
    ]
  },
  "http_status_code": 200
}
Key Type Description
extra object
total integer The number of log entries returned.
entries array An array of objects containing metadata about each log entry.
  • msg. The message in the log.
  • lvl. The type of the log entry. Possible values:
    • INFO
    • WARN
    • ERROR
  • ts. The timestamp of the entry. Format: UTC
  • prc. The process that was logged.
  • fi. The line in the code that generated the log entry.

If lvl is ERROR:

  • xid. The transaction ID.
  • snrd. The Snap runtime ID.
  • linid.
  • plrd. The Pipeline runtime ID.
  • snlb. The Snap label or name.
  • exc. Any exception that occurred.